List Job Posts
get
/public/v1/job-postsLists the job posts that are not archived, newest first. Each job post includes its screening questions, and each option says whether choosing it meets the requirement.
filter[status]stringOne or more of
draft,publishedandclosed, comma separated.Example:publishedpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of JobPostResource
dataobject[]required▶Show 15 child attributesHide child attributes
idstringrequiredExample:b2c3d4e5-f6a7-48b9-8c0d-1e2f3a4b5c6dreferencestringrequiredExample:JOB-2026-00012titlestringrequiredExample:Weekend Support Workerdescriptionstring | nullrequiredExample:Support participants in Parramatta on Saturdays and Sundays.locationstring | nullrequiredExample:Parramatta NSWemployment_basisstring | nullrequiredExample:casualstatusstringrequiredExample:publishedaccepting_applicationsbooleanrequiredExample:truevideo_urlstring | nullrequiredExample:https://www.youtube.com/watch?v=dQw4w9WgXcQapplication_formobject | nullrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:c3d4e5f6-a7b8-49c0-9d1e-2f3a4b5c6d7enamestringrequiredExample:Support worker application
questionsobject[]required▶Show 5 child attributesHide child attributes
idstringrequiredExample:d4e5f6a7-b8c9-40d1-8e2f-3a4b5c6d7e8fquestionstringrequiredExample:Do you hold a current NDIS Worker Screening Check?typestringrequiredExample:yes_noimportancestringrequiredExample:must_haveoptionsobject[]required▶Show 3 child attributesHide child attributes
idstringrequiredExample:e5f6a7b8-c9d0-41e2-9f3a-4b5c6d7e8f9alabelstringrequiredExample:Yesmeets_requirementbooleanrequiredExample:true
published_atstring | nullrequiredExample:2026-03-02T09:00:00+11:00archived_atstring | nullrequiredExample:2026-06-01T00:00:00+10:00created_atstringrequiredExample:2026-03-01T10:30:00+11:00updated_atstringrequiredExample:2026-03-02T09:00:00+11:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error